package subject

import "fmt"

// getCampaignValue ...
func getCampaignValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.Campaign, val)
}

// Campaign ...
var Campaign = struct {
	GetListCampaignTransactionAdminInfoByIDs string
	GetCampaignSellerStatisticBySellerIDs    string
}{
	GetListCampaignTransactionAdminInfoByIDs: getCampaignValue("get_list_campaign_transaction_admin_info_by_ids"),
	GetCampaignSellerStatisticBySellerIDs:    getCampaignValue("get_campaign_seller_statistic_by_seller_ids"),
}
