package subject

import "fmt"

// getSocialPostValue ...
func getSocialPostValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.SocialPost, val)
}

// SocialPost ...
var SocialPost = struct {
	GetListSocialPostAppInfoByIDs    string
	GetBriefInfoSocialPostAdminByIDs string
}{
	GetListSocialPostAppInfoByIDs:    getSocialPostValue("get_list_social_post_app_info_by_ids"),
	GetBriefInfoSocialPostAdminByIDs: getSocialPostValue("get_brief_info_social_post_admin_by_ids"),
}
