package subject

import "fmt"

func getSupplierUserValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.SupplierUser, val)
}

var SupplierUser = struct {
	// Users
	CreateOwner            string
	UpdateOwner            string
	CreateStaff            string
	UpdateStaff            string
	UpdateStatus           string
	ResetPassword          string
	CheckTokenSupplierUser string
}{
	// Users
	CreateOwner:            getSupplierUserValue("create_owner"),
	UpdateOwner:            getSupplierUserValue("update_owner"),
	CreateStaff:            getSupplierUserValue("create_staff"),
	UpdateStaff:            getSupplierUserValue("update_staff"),
	UpdateStatus:           getSupplierUserValue("update_status"),
	ResetPassword:          getSupplierUserValue("reset_password"),
	CheckTokenSupplierUser: getSupplierUserValue("check_token_supplier_user"),
}
